<?php

// tapps configuration file

// The URL of the directory where the tapps files are.
// Comment out or leave empty when you put tapps to your document root.
//$tapps_dir="http://www.my-cool-website.com/tapps/";

// Database settings.
// Must be set
$tapps_db_type="mysql";
$tapps_db_host="localhost";
$tapps_db_user="scott";
$tapps_db_password="tiger";
$tapps_db_db="my_db";

// Username and password for the admin interface
// Must be set.
$tapps_admin_user="admin";
$tapps_admin_password="password";


// Maximum width of the bar image displayed on the results page.
// The option with the most votes will have exactly this width.
// If this is not set the default value is 128.
$tapps_pollbar_image_max_width=128;

// HTTP_REFERER page must be this (without getvars like ...?foo=bar&fnord=nil)
// Comment out or leave empty if you don't want this.
//$tapps_referer="http://www.my-cool-website.com/index.php";


// Set whether you want that an IP is locked for voting in a poll after a vote.
// Comment out or set to FALSE if you don't want this.
$tapps_ip_locking=TRUE;

// When IP locking is active (see above) this is the number of seconds an IP
// is locked.
// Comment out or leave zero (0) if you don't want this.
$tapps_ip_locking_timeout=1200;


// Set whether you want to set a cookie for a user who voted. This helps to
// minimize the possibility for users to vote more than once for the same poll.
// Comment out or set to FALSE if you don't want this.
$tapps_cookie=TRUE;

// Name of the cookie which is set when you have cookies enabled (see above).
// Must be set if $tapps_cookie is TRUE.
$tapps_cookie_name="tapps";

// Set whether accepting the above cookie is optional (FALSE) or mandatory
// (TRUE). Some browsers ask the user and don't set a cookie automatically.
// Comment out or set to FALSE if you don't want this.
$tapps_cookie_force=TRUE;



// Set whether a vote must be confirmed by Email.
// Comment out or leave FALSE if you don't want this.
//$tapps_email_confirmation=TRUE;

// Sets the "From" address of the Email generated when Email confirmation is
// enabled (see above).
// Must be set if $tapps_email_confirmation is TRUE.
//$tapps_email_confirmation_from="polladmin@my-cool-website.com";

// Set whether Email addresses are locked (set to TRUE) once they were used
// for a poll.
// Comment out or set to FALSE if you don't want this.
//$tapps_email_locking=TRUE;

// If you set the "tapps_email_locking" option above to TRUE here you can set
// the number of seconds an Email is locked.
// Comment out or leave zero (0) if you don't want this.
//$tapps_email_locking_timeout=1200;


// Number of seconds a pending vote (e.g. when waiting for Email confirmation)
// is valid.
// Comment out or leave zero (0) if you don't want this.
$tapps_pending_timeout=1200;

?>
